# cpioCrcPhysicalHeader Struct Reference
[PAYLOAD.]

Cpio archive header information. More...

`#include <cpio.h>`

## Data Fields

char | magic [6]
char | inode [8]
char | mode [8]
char | uid [8]
char | gid [8]
char | nlink [8]
char | mtime [8]
char | filesize [8]
char | devMajor [8]
char | devMinor [8]
char | rdevMajor [8]
char | rdevMinor [8]
char | namesize [8]
char | checksum [8]

## Detailed Description

Cpio archive header information.

Definition at line 80 of file cpio.h.

## Field Documentation

char cpioCrcPhysicalHeader::checksum[8]

| Definition at line 94 of file cpio.h. Referenced by cpioHeaderWrite().

char cpioCrcPhysicalHeader::devMajor[8]

| Definition at line 89 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::devMinor[8]

| Definition at line 90 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::filesize[8]

| Definition at line 88 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::gid[8]

| Definition at line 85 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::inode[8]

| Definition at line 82 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::magic[6]

| Definition at line 81 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::mode[8]

| Definition at line 83 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::mtime[8]

| Definition at line 87 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::namesize[8]

| Definition at line 93 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::nlink[8]

| Definition at line 86 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::rdevMajor[8]

| Definition at line 91 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::rdevMinor[8]

| Definition at line 92 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader::uid[8]

| Definition at line 84 of file cpio.h. Referenced by cpioHeaderRead(), and cpioHeaderWrite().

The documentation for this struct was generated from the following file:

- lib/cpio.h